#include "prefix.h"
#include "zero.h"

NTSTATUS KDevice::Write(PIRP Irp)
{
 PIO_STACK_LOCATION IrpSp;
 IrpSp=IoGetCurrentIrpStackLocation(Irp);

 printk("KDevice::Write(%#x, %lu)\n", Irp->UserBuffer, IrpSp->Parameters.Write.Length);

 Irp->IoStatus.Status = STATUS_SUCCESS;
 Irp->IoStatus.Information = IrpSp->Parameters.Write.Length;
 IoCompleteRequest(Irp, IO_NO_INCREMENT);
 return STATUS_SUCCESS;
}

BOOLEAN KDevice::FastIoWrite(IN PFILE_OBJECT FileObject,
                             IN PLARGE_INTEGER FileOffset,
                             IN ULONG Length,
                             IN BOOLEAN Wait,
                             IN ULONG LockKey,
                             OUT PVOID Buffer,
                             OUT PIO_STATUS_BLOCK IoStatus)
{
 printk("KDevice::FastIoWrite(%#x, %lu)\n", Buffer, Length);
 IoStatus->Status = STATUS_SUCCESS;
 IoStatus->Information = Length;
 return TRUE;
}
